Bug Hunting Session
Bug 125691 - FILEOPEN: Document hangs at import time ( with OOO_EXIT_POST_STARTUP )
Summary: FILEOPEN: Document hangs at import time ( with OOO_EXIT_POST_STARTUP )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.4.0 target:6.2.6 target:6.3.0.1
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2019-06-04 16:13 UTC by Xisco Faulí
Modified: 2019-06-25 07:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-04 16:13:00 UTC
Steps to reproduce:
1. Download attachment 150858 [details]
2. Launch it with 'time OOO_EXIT_POST_STARTUP=1 instdir/program/soffice 500k_formul.ods'

Observed result: LibreOffice hangs ( I killed LibreOffice after 10 minutes )

Expected behaviour: LibreOffice should be closed within 20 seconds, as in LibreOffice 6.2

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 8caa7d1824ff87a82ba2f6f16351dfab5b219f63
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-04 16:14:07 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=769832cc1f592b1d0c39cda7795fe4548fc97566

author	Dennis Francis <dennis.francis@collabora.com>	2019-03-20 20:07:58 +0530
committer	Michael Meeks <michael.meeks@collabora.com>	2019-03-21 11:24:26 +0100
commit	769832cc1f592b1d0c39cda7795fe4548fc97566 (patch)
tree	404546dfca76bc766ad88fcf9fe8f3cb5f7ad3f1
parent	3d9f973e6648c5819608237f390df523b6a32ed8 (diff)
Increase the life-cycle of threads in thread-pool...
to ScDocument lifetime if possible. This helps to avoid lots
of thread setup-cost while doing recalcs especially if there are
many formula-groups in the document and most of them are fairly
light-weight.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Dennis Francis
Comment 2 Commit Notification 2019-06-17 06:45:14 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d39846bfd16ad9873795149c370a95f42363bfd9%5E%21

tdf#125691: use _exit() instead of exit()...

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-06-17 12:33:47 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/92199ce4e544d17b4ceceefacf078c04996b57db%5E%21

tdf#125691: use _exit() instead of exit()...

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-06-17 12:35:21 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/00c876b1d16777586bc3e4b0c65da193489a7594%5E%21

tdf#125691: use _exit() instead of exit()...

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-06-25 07:46:08 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Dennis Francis, thanks for fixing this issue!!